<?php
$tdataac = array();
$tdataac[".searchableFields"] = array();
$tdataac[".ShortName"] = "ac";
$tdataac[".OwnerID"] = "";
$tdataac[".OriginalTable"] = "ac";


$tdataac[".pagesByType"] = my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"list\":[\"list\",\"list1\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" );
$tdataac[".originalPagesByType"] = $tdataac[".pagesByType"];
$tdataac[".pages"] = types2pages( my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"list\":[\"list\",\"list1\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" ) );
$tdataac[".originalPages"] = $tdataac[".pages"];
$tdataac[".defaultPages"] = my_json_decode( "{\"add\":\"add\",\"edit\":\"edit\",\"export\":\"export\",\"list\":\"list\",\"print\":\"print\",\"search\":\"search\",\"view\":\"view\"}" );
$tdataac[".originalDefaultPages"] = $tdataac[".defaultPages"];

//	field labels
$fieldLabelsac = array();
$fieldToolTipsac = array();
$pageTitlesac = array();
$placeHoldersac = array();

if(mlang_getcurrentlang()=="English")
{
	$fieldLabelsac["English"] = array();
	$fieldToolTipsac["English"] = array();
	$placeHoldersac["English"] = array();
	$pageTitlesac["English"] = array();
	$fieldLabelsac["English"]["ID"] = "ID";
	$fieldToolTipsac["English"]["ID"] = "";
	$placeHoldersac["English"]["ID"] = "";
	$fieldLabelsac["English"]["ORDER_NBR"] = "ORDER NBR";
	$fieldToolTipsac["English"]["ORDER_NBR"] = "";
	$placeHoldersac["English"]["ORDER_NBR"] = "";
	$fieldLabelsac["English"]["NAME"] = "NAME";
	$fieldToolTipsac["English"]["NAME"] = "";
	$placeHoldersac["English"]["NAME"] = "";
	$fieldLabelsac["English"]["TYPE"] = "TYPE";
	$fieldToolTipsac["English"]["TYPE"] = "";
	$placeHoldersac["English"]["TYPE"] = "";
	$fieldLabelsac["English"]["BTU_HR"] = "BTU/HR";
	$fieldToolTipsac["English"]["BTU_HR"] = "";
	$placeHoldersac["English"]["BTU_HR"] = "";
	$fieldLabelsac["English"]["SPECS"] = "SPECS";
	$fieldToolTipsac["English"]["SPECS"] = "";
	$placeHoldersac["English"]["SPECS"] = "";
	$fieldLabelsac["English"]["PICTURE"] = "PICTURE";
	$fieldToolTipsac["English"]["PICTURE"] = "";
	$placeHoldersac["English"]["PICTURE"] = "";
	$fieldLabelsac["English"]["PRICE"] = "PRICE";
	$fieldToolTipsac["English"]["PRICE"] = "";
	$placeHoldersac["English"]["PRICE"] = "";
	$fieldLabelsac["English"]["VISIBLE"] = "VISIBLE";
	$fieldToolTipsac["English"]["VISIBLE"] = "";
	$placeHoldersac["English"]["VISIBLE"] = "";
	$fieldLabelsac["English"]["CATEGORY"] = "CATEGORY";
	$fieldToolTipsac["English"]["CATEGORY"] = "";
	$placeHoldersac["English"]["CATEGORY"] = "";
	$pageTitlesac["English"]["print"] = "Air Condition";
	$pageTitlesac["English"]["view"] = "ACMC SERVICES";
	$pageTitlesac["English"]["edit"] = "Air Condition, edit";
	$pageTitlesac["English"]["add"] = "Air Condition, Add new";
	if (count($fieldToolTipsac["English"]))
		$tdataac[".isUseToolTips"] = true;
}





$tdataac[".shortTableName"] = "ac";
$tdataac[".nSecOptions"] = 0;

$tdataac[".mainTableOwnerID"] = "";
$tdataac[".entityType"] = 0;
$tdataac[".connId"] = "acmc_db_at_localhost";


$tdataac[".strOriginalTableName"] = "ac";

	



$tdataac[".showAddInPopup"] = false;

$tdataac[".showEditInPopup"] = false;

$tdataac[".showViewInPopup"] = false;

//page's base css files names
$popupPagesLayoutNames = array();
$tdataac[".popupPagesLayoutNames"] = $popupPagesLayoutNames;


	$tdataac[".listAjax"] = true;
//	temporary
$tdataac[".listAjax"] = false;

	$tdataac[".audit"] = false;

	$tdataac[".locking"] = false;


$pages = $tdataac[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdataac[".edit"] = true;
	$tdataac[".afterEditAction"] = 1;
	$tdataac[".closePopupAfterEdit"] = 1;
	$tdataac[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdataac[".add"] = true;
$tdataac[".afterAddAction"] = 1;
$tdataac[".closePopupAfterAdd"] = 1;
$tdataac[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdataac[".list"] = true;
}



$tdataac[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdataac[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdataac[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdataac[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdataac[".printFriendly"] = true;
}



$tdataac[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdataac[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdataac[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdataac[".isUseAjaxSuggest"] = true;

$tdataac[".rowHighlite"] = true;



												

$tdataac[".ajaxCodeSnippetAdded"] = false;

$tdataac[".buttonsAdded"] = false;

$tdataac[".addPageEvents"] = false;

// use timepicker for search panel
$tdataac[".isUseTimeForSearch"] = false;


$tdataac[".badgeColor"] = "2F4F4F";


$tdataac[".allSearchFields"] = array();
$tdataac[".filterFields"] = array();
$tdataac[".requiredSearchFields"] = array();

$tdataac[".googleLikeFields"] = array();
$tdataac[".googleLikeFields"][] = "NAME";
$tdataac[".googleLikeFields"][] = "SPECS";
$tdataac[".googleLikeFields"][] = "PRICE";



$tdataac[".tableType"] = "list";

$tdataac[".printerPageOrientation"] = 0;
$tdataac[".nPrinterPageScale"] = 100;

$tdataac[".nPrinterSplitRecords"] = 40;

$tdataac[".geocodingEnabled"] = false;










$tdataac[".pageSize"] = 9;

$tdataac[".warnLeavingPages"] = true;



$tstrOrderBy = "ORDER BY ORDER_NBR";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdataac[".strOrderBy"] = $tstrOrderBy;

$tdataac[".orderindexes"] = array();
	$tdataac[".orderindexes"][] = array(2, (1 ? "ASC" : "DESC"), "ORDER_NBR");



$tdataac[".sqlHead"] = "SELECT ID,  ORDER_NBR,  NAME,  CATEGORY,  `TYPE`,  `BTU/HR`,  SPECS,  PICTURE,  PRICE,  VISIBLE";
$tdataac[".sqlFrom"] = "FROM ac";
$tdataac[".sqlWhereExpr"] = "";
$tdataac[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 9;
$arrRPP[] = 15;
$arrRPP[] = 30;
$arrRPP[] = 60;
$arrRPP[] = 90;
$arrRPP[] = -1;
$tdataac[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdataac[".arrGroupsPerPage"] = $arrGPP;

$tdataac[".highlightSearchResults"] = true;

$tableKeysac = array();
$tableKeysac[] = "ID";
$tdataac[".Keys"] = $tableKeysac;


$tdataac[".hideMobileList"] = array();




//	ID
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "ID";
	$fdata["GoodName"] = "ID";
	$fdata["ownerTable"] = "ac";
	$fdata["Label"] = GetFieldLabel("ac","ID");
	$fdata["FieldType"] = 3;

	
		$fdata["AutoInc"] = true;

	
			

		$fdata["strField"] = "ID";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "ID";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataac["ID"] = $fdata;
		$tdataac[".searchableFields"][] = "ID";
//	ORDER_NBR
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "ORDER_NBR";
	$fdata["GoodName"] = "ORDER_NBR";
	$fdata["ownerTable"] = "ac";
	$fdata["Label"] = GetFieldLabel("ac","ORDER_NBR");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "ORDER_NBR";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "ORDER_NBR";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataac["ORDER_NBR"] = $fdata;
		$tdataac[".searchableFields"][] = "ORDER_NBR";
//	NAME
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "NAME";
	$fdata["GoodName"] = "NAME";
	$fdata["ownerTable"] = "ac";
	$fdata["Label"] = GetFieldLabel("ac","NAME");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "NAME";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "NAME";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=150";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
		$fdata["filterTotalFields"] = "ID";
		$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = true;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataac["NAME"] = $fdata;
		$tdataac[".searchableFields"][] = "NAME";
//	CATEGORY
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "CATEGORY";
	$fdata["GoodName"] = "CATEGORY";
	$fdata["ownerTable"] = "ac";
	$fdata["Label"] = GetFieldLabel("ac","CATEGORY");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "CATEGORY";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "CATEGORY";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
				$edata["LookupType"] = 2;
	$edata["LookupTable"] = "categories";
			$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 0;

	
		
	$edata["LinkField"] = "CATEG_NAME";
	$edata["LinkFieldType"] = 0;
	$edata["DisplayField"] = "CATEG_NAME";

	

	
	$edata["LookupOrderBy"] = "ORDER_NBR";

	
	
	
	

	
	
		$edata["SelectSize"] = 1;

// End Lookup Settings


		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
		$fdata["filterTotalFields"] = "ID";
		$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = true;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataac["CATEGORY"] = $fdata;
		$tdataac[".searchableFields"][] = "CATEGORY";
//	TYPE
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "TYPE";
	$fdata["GoodName"] = "TYPE";
	$fdata["ownerTable"] = "ac";
	$fdata["Label"] = GetFieldLabel("ac","TYPE");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "TYPE";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "`TYPE`";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
				$edata["LookupType"] = 2;
	$edata["LookupTable"] = "types";
			$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 0;

	
		
	$edata["LinkField"] = "type_name";
	$edata["LinkFieldType"] = 0;
	$edata["DisplayField"] = "type_name";

	

	
	$edata["LookupOrderBy"] = "ORDER_NBR";

	
	
	
	

	
	
		$edata["SelectSize"] = 1;

// End Lookup Settings


		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
		$fdata["filterTotalFields"] = "ID";
		$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = true;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataac["TYPE"] = $fdata;
		$tdataac[".searchableFields"][] = "TYPE";
//	BTU/HR
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 6;
	$fdata["strName"] = "BTU/HR";
	$fdata["GoodName"] = "BTU_HR";
	$fdata["ownerTable"] = "ac";
	$fdata["Label"] = GetFieldLabel("ac","BTU_HR");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "BTU/HR";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "`BTU/HR`";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Custom");

	
	
	
	
	
	
	
	
	
	
	
		
	
	
	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
				$edata["LookupType"] = 2;
	$edata["LookupTable"] = "btu";
			$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 0;

	
		
	$edata["LinkField"] = "btu_name";
	$edata["LinkFieldType"] = 0;
	$edata["DisplayField"] = "btu_name";

	

	
	$edata["LookupOrderBy"] = "ORDER_NBR";

	
	
	
	

	
	
		$edata["SelectSize"] = 1;

// End Lookup Settings


		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
		$fdata["filterTotalFields"] = "ID";
		$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = true;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataac["BTU/HR"] = $fdata;
		$tdataac[".searchableFields"][] = "BTU/HR";
//	SPECS
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 7;
	$fdata["strName"] = "SPECS";
	$fdata["GoodName"] = "SPECS";
	$fdata["ownerTable"] = "ac";
	$fdata["Label"] = GetFieldLabel("ac","SPECS");
	$fdata["FieldType"] = 201;

	
	
	
			

		$fdata["strField"] = "SPECS";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "SPECS";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 1;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text area");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 0;

	
	
	
				$edata["nRows"] = 200;
			$edata["nCols"] = 200;

	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

		$edata["CreateThumbnail"] = true;
	$edata["StrThumbnail"] = "th";
			$edata["ThumbnailSize"] = 600;

			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
		$fdata["filterTotalFields"] = "ID";
		$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataac["SPECS"] = $fdata;
		$tdataac[".searchableFields"][] = "SPECS";
//	PICTURE
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 8;
	$fdata["strName"] = "PICTURE";
	$fdata["GoodName"] = "PICTURE";
	$fdata["ownerTable"] = "ac";
	$fdata["Label"] = GetFieldLabel("ac","PICTURE");
	$fdata["FieldType"] = 201;

	
	
	
			

		$fdata["strField"] = "PICTURE";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "PICTURE";

		$fdata["DeleteAssociatedFile"] = true;

	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Custom");

	
	
	
	
	
	
	
	
	
	
	
		
	
	
	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Document upload");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
							$edata["acceptFileTypes"] = "bmp";
			$edata["acceptFileTypesHtml"] = ".bmp";
						$edata["acceptFileTypes"] .= "|gif";
			$edata["acceptFileTypesHtml"] .= ",.gif";
						$edata["acceptFileTypes"] .= "|jpg";
			$edata["acceptFileTypesHtml"] .= ",.jpg";
						$edata["acceptFileTypes"] .= "|png";
			$edata["acceptFileTypesHtml"] .= ",.png";
		$edata["acceptFileTypes"] = "(".$edata["acceptFileTypes"].")$";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

		$edata["CreateThumbnail"] = true;
	$edata["StrThumbnail"] = "th";
			$edata["ThumbnailSize"] = 250;

			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataac["PICTURE"] = $fdata;
		$tdataac[".searchableFields"][] = "PICTURE";
//	PRICE
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 9;
	$fdata["strName"] = "PRICE";
	$fdata["GoodName"] = "PRICE";
	$fdata["ownerTable"] = "ac";
	$fdata["Label"] = GetFieldLabel("ac","PRICE");
	$fdata["FieldType"] = 5;

	
	
	
			

		$fdata["strField"] = "PRICE";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "PRICE";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Custom");

	
	
	
	
	
	
	
	
	
	
	
		
	
	
	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "number";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
			$fdata["filterTotalFields"] = "ID";
		$fdata["filterFormat"] = "Interval slider";
		$fdata["showCollapsed"] = true;

	
	
	
	

	$fdata["filterKnobsType"] = 0;
		$fdata["filterApplyBtn"] = true;
	$fdata["filterSliderStepType"] = 1;
	$fdata["filterSliderStepValue"] = 1;
//end of Filters settings


	$tdataac["PRICE"] = $fdata;
		$tdataac[".searchableFields"][] = "PRICE";
//	VISIBLE
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 10;
	$fdata["strName"] = "VISIBLE";
	$fdata["GoodName"] = "VISIBLE";
	$fdata["ownerTable"] = "ac";
	$fdata["Label"] = GetFieldLabel("ac","VISIBLE");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "VISIBLE";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "VISIBLE";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
		$edata["LookupType"] = 0;
			$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 0;

	
	
		$edata["LookupValues"] = array();
	$edata["LookupValues"][] = "YES";
	$edata["LookupValues"][] = "NO";

	
		$edata["SelectSize"] = 1;

// End Lookup Settings


		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataac["VISIBLE"] = $fdata;
		$tdataac[".searchableFields"][] = "VISIBLE";


$tables_data["ac"]=&$tdataac;
$field_labels["ac"] = &$fieldLabelsac;
$fieldToolTips["ac"] = &$fieldToolTipsac;
$placeHolders["ac"] = &$placeHoldersac;
$page_titles["ac"] = &$pageTitlesac;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["ac"] = array();

// tables which are master tables for current table (detail)
$masterTablesData["ac"] = array();



// -----------------end  prepare master-details data arrays ------------------------------//



require_once(getabspath("classes/sql.php"));











function createSqlQuery_ac()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "ID,  ORDER_NBR,  NAME,  CATEGORY,  `TYPE`,  `BTU/HR`,  SPECS,  PICTURE,  PRICE,  VISIBLE";
$proto0["m_strFrom"] = "FROM ac";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "ORDER BY ORDER_NBR";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "ID",
	"m_strTable" => "ac",
	"m_srcTableName" => "ac"
));

$proto6["m_sql"] = "ID";
$proto6["m_srcTableName"] = "ac";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "ORDER_NBR",
	"m_strTable" => "ac",
	"m_srcTableName" => "ac"
));

$proto8["m_sql"] = "ORDER_NBR";
$proto8["m_srcTableName"] = "ac";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
						$proto10=array();
			$obj = new SQLField(array(
	"m_strName" => "NAME",
	"m_strTable" => "ac",
	"m_srcTableName" => "ac"
));

$proto10["m_sql"] = "NAME";
$proto10["m_srcTableName"] = "ac";
$proto10["m_expr"]=$obj;
$proto10["m_alias"] = "";
$obj = new SQLFieldListItem($proto10);

$proto0["m_fieldlist"][]=$obj;
						$proto12=array();
			$obj = new SQLField(array(
	"m_strName" => "CATEGORY",
	"m_strTable" => "ac",
	"m_srcTableName" => "ac"
));

$proto12["m_sql"] = "CATEGORY";
$proto12["m_srcTableName"] = "ac";
$proto12["m_expr"]=$obj;
$proto12["m_alias"] = "";
$obj = new SQLFieldListItem($proto12);

$proto0["m_fieldlist"][]=$obj;
						$proto14=array();
			$obj = new SQLField(array(
	"m_strName" => "TYPE",
	"m_strTable" => "ac",
	"m_srcTableName" => "ac"
));

$proto14["m_sql"] = "`TYPE`";
$proto14["m_srcTableName"] = "ac";
$proto14["m_expr"]=$obj;
$proto14["m_alias"] = "";
$obj = new SQLFieldListItem($proto14);

$proto0["m_fieldlist"][]=$obj;
						$proto16=array();
			$obj = new SQLField(array(
	"m_strName" => "BTU/HR",
	"m_strTable" => "ac",
	"m_srcTableName" => "ac"
));

$proto16["m_sql"] = "`BTU/HR`";
$proto16["m_srcTableName"] = "ac";
$proto16["m_expr"]=$obj;
$proto16["m_alias"] = "";
$obj = new SQLFieldListItem($proto16);

$proto0["m_fieldlist"][]=$obj;
						$proto18=array();
			$obj = new SQLField(array(
	"m_strName" => "SPECS",
	"m_strTable" => "ac",
	"m_srcTableName" => "ac"
));

$proto18["m_sql"] = "SPECS";
$proto18["m_srcTableName"] = "ac";
$proto18["m_expr"]=$obj;
$proto18["m_alias"] = "";
$obj = new SQLFieldListItem($proto18);

$proto0["m_fieldlist"][]=$obj;
						$proto20=array();
			$obj = new SQLField(array(
	"m_strName" => "PICTURE",
	"m_strTable" => "ac",
	"m_srcTableName" => "ac"
));

$proto20["m_sql"] = "PICTURE";
$proto20["m_srcTableName"] = "ac";
$proto20["m_expr"]=$obj;
$proto20["m_alias"] = "";
$obj = new SQLFieldListItem($proto20);

$proto0["m_fieldlist"][]=$obj;
						$proto22=array();
			$obj = new SQLField(array(
	"m_strName" => "PRICE",
	"m_strTable" => "ac",
	"m_srcTableName" => "ac"
));

$proto22["m_sql"] = "PRICE";
$proto22["m_srcTableName"] = "ac";
$proto22["m_expr"]=$obj;
$proto22["m_alias"] = "";
$obj = new SQLFieldListItem($proto22);

$proto0["m_fieldlist"][]=$obj;
						$proto24=array();
			$obj = new SQLField(array(
	"m_strName" => "VISIBLE",
	"m_strTable" => "ac",
	"m_srcTableName" => "ac"
));

$proto24["m_sql"] = "VISIBLE";
$proto24["m_srcTableName"] = "ac";
$proto24["m_expr"]=$obj;
$proto24["m_alias"] = "";
$obj = new SQLFieldListItem($proto24);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto26=array();
$proto26["m_link"] = "SQLL_MAIN";
			$proto27=array();
$proto27["m_strName"] = "ac";
$proto27["m_srcTableName"] = "ac";
$proto27["m_columns"] = array();
$proto27["m_columns"][] = "ID";
$proto27["m_columns"][] = "ORDER_NBR";
$proto27["m_columns"][] = "NAME";
$proto27["m_columns"][] = "CATEGORY";
$proto27["m_columns"][] = "TYPE";
$proto27["m_columns"][] = "BTU/HR";
$proto27["m_columns"][] = "SPECS";
$proto27["m_columns"][] = "PICTURE";
$proto27["m_columns"][] = "PRICE";
$proto27["m_columns"][] = "VISIBLE";
$obj = new SQLTable($proto27);

$proto26["m_table"] = $obj;
$proto26["m_sql"] = "ac";
$proto26["m_alias"] = "";
$proto26["m_srcTableName"] = "ac";
$proto28=array();
$proto28["m_sql"] = "";
$proto28["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto28["m_column"]=$obj;
$proto28["m_contained"] = array();
$proto28["m_strCase"] = "";
$proto28["m_havingmode"] = false;
$proto28["m_inBrackets"] = false;
$proto28["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto28);

$proto26["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto26);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
												$proto30=array();
						$obj = new SQLField(array(
	"m_strName" => "ORDER_NBR",
	"m_strTable" => "ac",
	"m_srcTableName" => "ac"
));

$proto30["m_column"]=$obj;
$proto30["m_bAsc"] = 1;
$proto30["m_nColumn"] = 0;
$obj = new SQLOrderByItem($proto30);

$proto0["m_orderby"][]=$obj;					
$proto0["m_srcTableName"]="ac";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_ac = createSqlQuery_ac();


	
		;

										

$tdataac[".sqlquery"] = $queryData_ac;



include_once(getabspath("include/ac_events.php"));
$tableEvents["ac"] = new eventclass_ac;
$tdataac[".hasEvents"] = true;

?>